﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace Практическая__5
{
    public partial class tbJewelry 
    {
       public string priceOut
        {
            get
            {
                return price + " тыс. руб";
            }
        }

        public string costPrice
        {
            get
            {
                List<tbCompositionJewelry> list = BaseConnect.kotBase.tbCompositionJewelry.Where(tb => tb.idJewelry == idJewelry).ToList();
                if (list.Count > 0)
                {
                    double sum = 0;
                    foreach (tbCompositionJewelry a in list)
                    {
                        tbBatchMaterial price = BaseConnect.kotBase.tbBatchMaterial.Where(tb => tb.idBatch == a.idBatch).ToList().Last();
                        if (price != null)
                        {
                            sum += price.price * a.count;
                        }
                    }

                    return "Себестоимость изделия " + sum + " тыс. руб";
                }
                else return " - ";
            }
        }
        public string availabilityText
        {
            get
            {
                List<tbOrderItems> list = BaseConnect.kotBase.tbOrderItems.Where(tb => tb.idJewelry == idJewelry).ToList();
                if (list.Count > 0)
                {
                    return "ПРОДАНО";
                }
                else
                {
                    return "В НАЛИЧИИ";
                }
            }
        }

        public SolidColorBrush availabilityColor
        {
            get
            {
                List<tbOrderItems> list = BaseConnect.kotBase.tbOrderItems.Where(tb => tb.idJewelry == idJewelry).ToList();
                if (list.Count > 0)
                {
                    return (SolidColorBrush)new BrushConverter().ConvertFromString("#da2c38");
                }
                else
                {
                    return (SolidColorBrush)new BrushConverter().ConvertFromString("#87c38f");
                }
            }
        }
    
        public int count { get; set; }
    }
}
