﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using Практическая__5;

namespace Практическая__5
{
    internal class CheckUsersData
    {
        public static bool auth(string loginUser, int password)
        {
            bool flag = false;
            List<tbUsers> list = BaseConnect.kotBase.tbUsers.ToList().Where(tb => tb.login == loginUser && tb.password == password).ToList();
            if (list.Count != 0)
            {
                flag = true;
                UserData.User = list[0];
            }
            return flag;
        }

        public static bool reg(string lastName, string firstName, string dateBirthday, string login, string password, string gender)
        {
            bool flag = false;

            if(lastName != "" && firstName != "" && dateBirthday != "" && login != "" && password != "" && gender != "")
            {
                flag = true;
            }
            return flag;
        }
        public static bool log(string loginUser) //поверка на наличие такого логина в бд
        {
            bool flag = false;

            List<tbUsers> list = BaseConnect.kotBase.tbUsers.ToList().Where(tb => tb.login == loginUser).ToList();
            if (list.Count == 0)
            {
                flag = true;
            }
            return flag;
        }

        public static string pass(string password)
        {
            string messege = "";
            Regex longPas = new Regex(@"(?=.{8,})");
            Regex num = new Regex(@"(?:.*\d){2,}");
            Regex AZ = new Regex("[A-Z]+");
            Regex az = new Regex("(?:.*[a-z]){3,}");
            Regex speshSymb = new Regex(@"\W+");

            if (!longPas.IsMatch(password))
            {
                messege += "не достаточно длинный (меньше 8)";
            }
            if (!num.IsMatch(password))
            {
                if (messege != "")
                {
                    messege += ", ";
                }
                messege += "содержит меньше 2 цифр";
            }
            if (!AZ.IsMatch(password))
            {
                if (messege != "")
                {
                    messege += ", ";
                }
                messege += "не имеет латинской буквы верхнего регистра";
            }
            if (!az.IsMatch(password))
            {
                if (messege != "")
                {
                    messege += ", ";
                }
                messege += "содержит меньше 3 латинских букв нижнего регистра";
            }
            if (!speshSymb.IsMatch(password))
            {
                if (messege != "")
                {
                    messege += ", ";
                }
                messege += "не содержит специальных символов";
            }
            if (messege != "")
            {
                messege = "Пароль не соответствует минимальным требованиям: " + messege;
            }
            return messege;
        }
    }
}
