﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Практическая__5
{
    /// <summary>
    /// Логика взаимодействия для AuthorizationUser.xaml
    /// </summary>
    public partial class AuthorizationUser : Page
    {
        public AuthorizationUser()
        {
            InitializeComponent();
        }

        public AuthorizationUser(tbUsers user)
        {
            InitializeComponent();
            TBxLogin.Text = user.login;
        }
        private void BTRegUserClick(object sender, RoutedEventArgs e)
        {
            FrameClass.frameMain.NavigationService.Navigate(new RegistrationUser());
        }

        private void BTAutUserClick(object sender, RoutedEventArgs e)
        {
            try
            {
                if(CheckUsersData.auth(TBxLogin.Text, PBPassword.Password.GetHashCode()))
                {
                    MessageBox.Show("Авторизация прошла успешно");
                    switch(UserData.User.idRole)
                    {
                        case 1:
                            {
                                FrameClass.frameMain.NavigationService.Navigate(new AdminMain());
                            }
                            break;
                        case 2:
                            {
                                FrameClass.frameMain.NavigationService.Navigate(new UserProfile());
                            }
                            break;
                        default:
                            {
                                MessageBox.Show("Возникли ошибки при иницилизации доступа");
                            }
                            break;
                    }
                }
                else
                {
                    MessageBox.Show("Пользователь не найден");
                }
            }
            catch(Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
