﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Практическая__5
{
    /// <summary>
    /// Логика взаимодействия для RegistrationUser.xaml
    /// </summary>
    public partial class RegistrationUser : Page
    {
        public RegistrationUser()
        {
            InitializeComponent();
            initGender();
        }
        private void initGender()
        {
            CBGender.ItemsSource = BaseConnect.kotBase.tbGender.ToList();
            CBGender.DisplayMemberPath = "nameGender";
            CBGender.SelectedValuePath = "idGender";
        }

        private void BTRegUserClick(object sender, RoutedEventArgs e)
        {
            string gender = "";
            if (CBGender.SelectedItem != null)
            {
                gender = CBGender.SelectedItem.ToString();
            }

            if (CheckUsersData.reg(TBxLastName.Text, TBxFirstName.Text, DPDateBirthday.SelectedDate.ToString(), TBxLogin.Text, PBPassword.Password, gender))
            {
                if (CheckUsersData.log(TBxLogin.Text) && CheckUsersData.pass(PBPassword.Password) == "")
                {
                    try
                    {
                        tbUsers newUser = new tbUsers()
                        {
                            idUser = 1,
                            lastName = TBxLastName.Text,
                            firstName = TBxFirstName.Text,
                            middleName = TBxMiddleName.Text,
                            dateBirthday = (DateTime)DPDateBirthday.SelectedDate,
                            login = TBxLogin.Text,
                            password = PBPassword.Password.GetHashCode(),
                            idGender = ((tbGender)CBGender.SelectedItem).idGender,
                            idRole = 2
                        };
                        BaseConnect.kotBase.tbUsers.Add(newUser);
                        BaseConnect.kotBase.SaveChanges();
                        MessageBox.Show("Регистрация прошла успешна");
                        FrameClass.frameMain.NavigationService.Navigate(new AuthorizationUser(newUser));
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show(ex.Message);
                    }
                }
                else
                {
                    string mess = "Во время авторизации произошла ошибка:\n\t";
                    if (!CheckUsersData.log(TBxLogin.Text))
                    {
                        mess += "Пользователь с таким логином уже существует\n\t";
                    }
                    mess += CheckUsersData.pass(PBPassword.Password);

                    MessageBox.Show(mess.ToString());
                }               
            }
            else
            {
                MessageBox.Show("Не все поля заполнены");
            }

        }

        private void BTAutUserClick(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new AuthorizationUser());
        }
    }
}
